import * as $dara from '@darabonba/typescript';
import { GetFileDetectApiInvokeInfoResponseBody } from "./GetFileDetectApiInvokeInfoResponseBody";
export declare class GetFileDetectApiInvokeInfoResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetFileDetectApiInvokeInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
